// Java class com.proton.gopenpgp.crypto.PGPSplitMessage is a proxy for talking to a Go program.
//   gobind -lang=java -javapkg=com.proton.gopenpgp github.com/ProtonMail/gopenpgp/v2/crypto
//
// File is generated by gobind. Do not edit.
package com.proton.gopenpgp.crypto;

import go.Seq;

/**
 * PGPSplitMessage contains a separate session key packet and symmetrically
encrypted data packet.
 */
public final class PGPSplitMessage implements Seq.Proxy {
	static { Crypto.touch(); }
	
	private final int refnum;
	
	@Override public final int incRefnum() {
	      Seq.incGoRef(refnum, this);
	      return refnum;
	}
	
	/**
	 * NewPGPSplitMessage generates a new PGPSplitMessage from the binary unarmored keypacket,
	datapacket, and encryption algorithm.
	 */
	public PGPSplitMessage(byte[] keyPacket, byte[] dataPacket) {
		this.refnum = __NewPGPSplitMessage(keyPacket, dataPacket);
		Seq.trackGoRef(refnum, this);
	}
	
	private static native int __NewPGPSplitMessage(byte[] keyPacket, byte[] dataPacket);
	
	/**
	 * NewPGPSplitMessageFromArmored generates a new PGPSplitMessage by splitting an armored message into its
	session key packet and symmetrically encrypted data packet.
	 */
	public PGPSplitMessage(String encrypted) {
		this.refnum = __NewPGPSplitMessageFromArmored(encrypted);
		Seq.trackGoRef(refnum, this);
	}
	
	private static native int __NewPGPSplitMessageFromArmored(String encrypted);
	
	PGPSplitMessage(int refnum) { this.refnum = refnum; Seq.trackGoRef(refnum, this); }
	
	public final native byte[] getDataPacket();
	public final native void setDataPacket(byte[] v);
	
	public final native byte[] getKeyPacket();
	public final native void setKeyPacket(byte[] v);
	
	/**
	 * GetArmored returns the armored message as a string, with joined data and key
	packets.
	 */
	public native String getArmored() throws Exception;
	/**
	 * GetBinary returns the unarmored binary joined packets as a []byte.
	 */
	public native byte[] getBinary();
	/**
	 * GetBinaryDataPacket returns the unarmored binary datapacket as a []byte.
	 */
	public native byte[] getBinaryDataPacket();
	/**
	 * GetBinaryKeyPacket returns the unarmored binary keypacket as a []byte.
	 */
	public native byte[] getBinaryKeyPacket();
	/**
	 * GetPGPMessage joins asymmetric session key packet with the symmetric data
	packet to obtain a PGP message.
	 */
	public native PGPMessage getPGPMessage();
	@Override public boolean equals(Object o) {
		if (o == null || !(o instanceof PGPSplitMessage)) {
		    return false;
		}
		PGPSplitMessage that = (PGPSplitMessage)o;
		byte[] thisDataPacket = getDataPacket();
		byte[] thatDataPacket = that.getDataPacket();
		if (thisDataPacket == null) {
			if (thatDataPacket != null) {
			    return false;
			}
		} else if (!thisDataPacket.equals(thatDataPacket)) {
		    return false;
		}
		byte[] thisKeyPacket = getKeyPacket();
		byte[] thatKeyPacket = that.getKeyPacket();
		if (thisKeyPacket == null) {
			if (thatKeyPacket != null) {
			    return false;
			}
		} else if (!thisKeyPacket.equals(thatKeyPacket)) {
		    return false;
		}
		return true;
	}
	
	@Override public int hashCode() {
	    return java.util.Arrays.hashCode(new Object[] {getDataPacket(), getKeyPacket()});
	}
	
	@Override public String toString() {
		StringBuilder b = new StringBuilder();
		b.append("PGPSplitMessage").append("{");
		b.append("DataPacket:").append(getDataPacket()).append(",");
		b.append("KeyPacket:").append(getKeyPacket()).append(",");
		return b.append("}").toString();
	}
}

